package jalview.api.analysis;

import jalview.datamodel.AlignmentView;
import jalview.math.MatrixI;

/**
 * A class that provides a method to compute similarity scores of pairs of
 * sequences
 * 
 * @author gmcarstairs
 *
 */
public interface SimilarityScoreModelI extends ScoreModelI
{
  /**
   * Returns a similarity score for the given sequence regions, that is, a
   * matrix whose value [i][j] is the similarity of sequence i to sequence j by
   * some measure
   * 
   * @param seqData
   * @return
   */
  MatrixI findSimilarities(AlignmentView seqData);
}
